co.aikar.commands

## Class ACFSpongeUtil

- java.lang.Object
- - co.aikar.commands.ACFSpongeUtil

    public class ACFSpongeUtil
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ACFSpongeUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.spongepowered.api.entity.living.player.Player` `findPlayerSmart(co.aikar.commands.CommandIssuer issuer, String search)`
`static boolean` `isValidName(String name)`
`static List<org.spongepowered.api.entity.living.player.Player>` `matchPlayer(String partialName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ACFSpongeUtil

    public ACFSpongeUtil()

### Method Detail

#### findPlayerSmart

    public static org.spongepowered.api.entity.living.player.Player findPlayerSmart(co.aikar.commands.CommandIssuer issuer,
                                                                                    String search)

#### matchPlayer

    public static List<org.spongepowered.api.entity.living.player.Player> matchPlayer(String partialName)

#### isValidName

    public static boolean isValidName(String name)